#
# spec file for package perl-SUSE-BugzillaClient 
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild

Name:         perl-SUSE-BugzillaClient
Version:      0.3
Release:      1.2
Requires:     perl = %{perl_version} perl-TermReadKey perl-libwww-perl perl-XML-Parser perl-XML-SAX perl-Text-CSV_XS
Group:        Development/Libraries/Perl
License:      GPL
Summary:      Perl Library for accessing bugzilla systems
Source:       SUSE-BugzillaClient-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildArch:    noarch

%description
SUSE::BugzillaClient is a Client Library for accessing bugzilla.novell.com and other bugzilla installations. 
It can query bugs by ID or the URL of a search. It returns a hash for each bug 
that contains the bugs properties.
An example script is included.



Authors:
--------
    Thomas Schmidt <tschmidt@suse.de>

%prep
%setup -n SUSE-BugzillaClient-%{version}

%build
perl Makefile.PL
make

%install
%perl_make_install
%perl_process_packlist

mkdir -p ${RPM_BUILD_ROOT}/usr/share/doc/packages/perl-SUSE-BugzillaClient
mv ${RPM_BUILD_ROOT}%{perl_vendorlib}/SUSE/BugzillaClientTest.pl ${RPM_BUILD_ROOT}/usr/share/doc/packages/perl-SUSE-BugzillaClient

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%dir %{perl_vendorlib}/SUSE
%{perl_vendorlib}/SUSE/*.pm
%{_mandir}/man*/*pm.gz
/var/adm/perl-modules/%{name}
%dir %{perl_vendorarch}/auto/SUSE
%dir %{perl_vendorarch}/auto/SUSE/BugzillaClient
%{perl_vendorarch}/auto/SUSE/BugzillaClient/.packlist

%dir /usr/share/doc/packages/perl-SUSE-BugzillaClient
%defattr(0755,root,root) 
/usr/share/doc/packages/perl-SUSE-BugzillaClient/*
%changelog
* Fri Sep 25 2009 tschmidt@suse.de
- add patches from michal marek
- fix example to run without login
* Mon May  7 2007 tschmidt@suse.de
- Can be used with other bugzillas than bugzilla.novell.com now.
- Can use CSV output for faster queries
* Tue Feb 20 2007 tschmidt@suse.de
- initial checkin
